import 'package:syncrow_web/pages/auth/model/user_model.dart';
import 'package:syncrow_web/services/api/http_service.dart';
import 'package:syncrow_web/utils/constants/api_const.dart';

class HomeApi {
  Future fetchUserInfo(userId) async {
    final response = await HTTPService().get(
        path: ApiEndpoints.getUser.replaceAll('{userUuid}', userId!),
        showServerMessage: true,
        expectedResponseModel: (json) {
          return UserModel.fromJson(json);
        });
    return response;
  }
}
